ChainAnalyticsService
Get Zipped Asset Supply Group
Get grouped zipped asset supply chart columns.
Method
GET
Path
/v1/chain/analytics/zipped-asset-supply/group
Visibility
Public endpoint
GET
/v1/chain/analytics/zipped-asset-supply/group Request
Testnet
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/chain/analytics/zipped-asset-supply/group?groupId=tether' \ --header 'Accept: */*'
Responses
{
"bucket": "1m",
"endTsSec": 1735689600,
"groupId": "tether",
"points": 1,
"range": "1d",
"series": [
{
"totalSupply": [
"0.0000001"
],
"zippedAssetId": 100
}
],
"startTsSec": 1735689600
} bucket string
Optional bucket duration. Valid buckets depend on range and must keep chart density useful.
endTsSec integer (int32)
Optional inclusive end timestamp in seconds since Unix epoch.
groupId string
Zipped asset group identifier.
range enum
History window. Defaults to 1d.
startTsSec integer (int32)
Optional inclusive start timestamp in seconds since Unix epoch.
bucket string
Resolved bucket duration.
Example
1m endTsSec integer (int32)
Last bucket timestamp in seconds since Unix epoch.
Example
1735689600 groupId string
Zipped asset group identifier.
Example
tether points integer (int32)
Number of buckets represented by each value column.
Example
1 range enum
Resolved history window.
1d 7d 30d 90d 180d 365d
Example
1d 2 fields
totalSupply string[]
Total zToken supply per bucket as decimal strings in asset units, for example '1250.5'.
Example
["0.0000001"] zippedAssetId integer (int32)
Zipped asset route identifier.
Example
100 startTsSec integer (int32)
First bucket timestamp in seconds since Unix epoch.
Example
1735689600| Key | HTTP status | Connect code | Error | When |
|---|---|---|---|---|
| unauthenticated | 401 | unauthenticated | Unauthenticated | Authentication required. |
| permission-denied | 403 | permission_denied | Permission Denied | Permission denied. |
| invalid-argument | 400 | invalid_argument | Invalid Argument | Invalid argument. |
| not-found | 404 | not_found | Not Found | Not found. |
| unavailable | 503 | unavailable | Unavailable | Service unavailable. |